Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.annots.Link Class Reference
Inheritance diagram for foxit.pdf.annots.Link:

## Public Member Functions
| Link ()
| Constructor.
| Link (Annot annot)
| Constructor, with parent class object. More...
bool | ExecuteJavaScriptAction (JavaScriptAction javascript_action)
| Execute the JavaScript action associated with the link annotation. More...
Action | GetAction ()
| Get action. More...
Annot.HighlightingMode | GetHighlightingMode ()
| Get highlighting mode. More...
QuadPointsArray | GetQuadPoints ()
| Get quadrilaterals. More...
bool | RemoveAction ()
| Remove action. More...
void | SetAction (Action action)
| Set action. More...
void | SetHighlightingMode (Annot.HighlightingMode mode)
| Set highlighting mode. More...
void | SetQuadPoints (QuadPointsArray quad_points_array)
| Set quadrilaterals. More...
Public Member Functions inherited from foxit.pdf.annots.Annot
| Annot (PDFPage page, PDFDictionary annot_dict)
| Constructor, with PDF page and annotation's PDF dictionary. More...
| Annot (Annot annot)
| Constructor, with another annotation object. More...
| Annot ()
| Constructor.
PDFStream | GetAppearanceStream (Annot.AppearanceType type, string appearance_state)
| Get annotation's appearance stream with specified type and state. More...
int | GetBorderColor ()
| Get border color. More...
BorderInfo | GetBorderInfo ()
| Get border information. More...
string | GetContent ()
| Get content. More...
RectI | GetDeviceRect (Matrix2D matrix)
| Get annotation rectangle in device coordinate system. More...
PDFDictionary | GetDict ()
| Get annotation's dictionary object. More...
Matrix2D | GetDisplayMatrix (Matrix2D page_display_matrix)
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
int | GetFlags ()
| Get annotation flags. More...
int | GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
DateTime | GetModifiedDateTime ()
| Get last modified date time. More...
PDFDictionary | GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
PDFPage | GetPage ()
| Get the related PDF page. More...
RectF | GetRect ()
| Get rectangle, in PDF coordinate system. More...
Annot.Type | GetType ()
| Get actual annotation type of current annotation. More...
string | GetUniqueID ()
| Get unique ID. More...
bool | HasProperty (Annot.Property property)
| Whether current annotation has the specified annotation's property. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | IsMarkup ()
| Check if current annotation is a markup annotation. More...
bool | Move (RectF rect)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
bool | Move (RectF rect, bool is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
bool | RemoveProperty (Annot.Property property)
| Remove a specified annotation's property. More...
bool | ResetAppearanceStream ()
| Reset appearance stream. More...
bool | ResetAppearanceStream (bool is_generate_new_appearance_obj)
| Reset appearance stream. More...
void | SetBorderColor (int color)
| Set border color. More...
void | SetBorderInfo (BorderInfo border)
| Set border information. More...
void | SetContent (string content)
| Set content. More...
void | SetFlags (int flags)
| Set annotation flags. More...
void | SetModifiedDateTime (DateTime date_time)
| Set last modified date time. More...
void | SetUniqueID (string unique_id)
| Set unique ID. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.annots.Annot
enum | AppearanceType { AppearanceType.e_AppearanceTypeNormal = 0, AppearanceType.e_AppearanceTypeRollover = 1, AppearanceType.e_AppearanceTypeDown = 2 }
| Enumeration for the type of annotation's appearance. More...
enum | Flags { Flags.e_FlagInvisible = 0x0001, Flags.e_FlagHidden = 0x0002, Flags.e_FlagPrint = 0x0004, Flags.e_FlagNoZoom = 0x0008, Flags.e_FlagNoRotate = 0x0010, Flags.e_FlagNoView = 0x0020, Flags.e_FlagReadOnly = 0x0040, Flags.e_FlagLocked = 0x0080, Flags.e_FlagToggleNoView = 0x0100, Flags.e_FlagLockedContents = 0x0200 }
| Enumeration for PDF annotation flags. More...
enum | HighlightingMode { HighlightingMode.e_HighlightingNone = 0, HighlightingMode.e_HighlightingInvert = 1, HighlightingMode.e_HighlightingOutline = 2, HighlightingMode.e_HighlightingPush = 3, HighlightingMode.e_HighlightingToggle = 4 }
| Enumeration for PDF annotation highlighting mode. More...
enum | MKEntry { MKEntry.e_MKEntryRotation = 0, MKEntry.e_MKEntryBorderColor = 1, MKEntry.e_MKEntryBackgroundColor = 2, MKEntry.e_MKEntryNormalCaption = 3, MKEntry.e_MKEntryRolloverCaption = 4, MKEntry.e_MKEntryDownCaption = 5, MKEntry.e_MKEntryNormalIcon = 6, MKEntry.e_MKEntryRolloverIcon = 7, MKEntry.e_MKEntryDownIcon = 8, MKEntry.e_MKEntryIconFit = 9, MKEntry.e_MKEntryIconCaptionRelation = 10 }
| Enumeration for annotation's MK dictionary (an appearance characteristics) entry. More...
enum | MKIconCaptionRelation { MKIconCaptionRelation.e_MKRelationNoIcon = 0, MKIconCaptionRelation.e_MKRelationNoCaption = 1, MKIconCaptionRelation.e_MKRelationCaptionBelowIcon = 2, MKIconCaptionRelation.e_MKRelationCaptionAboveIcon = 3, MKIconCaptionRelation.e_MKRelationCaptionRight = 4, MKIconCaptionRelation.e_MKRelationCaptionLeft = 5, MKIconCaptionRelation.e_MKRelationCaptionOvrlayOnIcon = 6 }
| Enumeration for icon and caption relative position in annotation's MK dictionary. More...
enum | Property { Property.e_PropertyModifiedDate = 0, Property.e_PropertyCreationDate = 1, Property.e_PropertyBorderColor = 2, Property.e_PropertyFillColor = 3 }
| Enumeration for some PDF annotation property. More...
enum | Type { Type.e_UnknownType = 0, Type.e_Note = 1, Type.e_Link = 2, Type.e_FreeText = 3, Type.e_Line = 4, Type.e_Square = 5, Type.e_Circle = 6, Type.e_Polygon = 7, Type.e_PolyLine = 8, Type.e_Highlight = 9, Type.e_Underline = 10, Type.e_Squiggly = 11, Type.e_StrikeOut = 12, Type.e_Stamp = 13, Type.e_Caret = 14, Type.e_Ink = 15, Type.e_PSInk = 16, Type.e_FileAttachment = 17, Type.e_Sound = 18, Type.e_Movie = 19, Type.e_Widget = 20, Type.e_Screen = 21, Type.e_PrinterMark = 22, Type.e_TrapNet = 23, Type.e_Watermark = 24, Type.e_3D = 25, Type.e_Popup = 26, Type.e_Redact = 27, Type.e_RichMedia = 28, Type.e_PagingSeal = 29 }
| Enumeration for PDF annotation type. More...

## Detailed Description

A link annotation represents an action to be performed.
Class foxit.pdf.annots.Link is derived from Annot , and offers functions to get/set link annotation's properties and reset appearance stream of a link annotation.

Note
  For a newly created link annotation, if user calls function Annot.ResetAppearanceStream directly without setting any other properties, the default appearance will be used:
  border width = 1.0, border style = foxit.pdf.annots.BorderInfo.Style.e_Solid , border color = 0xFFFF0000 (red), opacity = 1.0, highlighting mode = foxit.pdf.annots.Annot.HighlightingMode.e_HighlightingNone .

See also
  Annot

## Constructor & Destructor Documentation

## ◆ Link()

foxit.pdf.annots.Link.Link | ( | Annot | annot | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

## Member Function Documentation

## ◆ ExecuteJavaScriptAction()

bool foxit.pdf.annots.Link.ExecuteJavaScriptAction | ( | JavaScriptAction | javascript_action | ) |
| inline

Execute the JavaScript action associated with the link annotation.

Parameters

  The | executed javascript action and it should be belong to current annotation. It will execute the main JavaScript action if the value is empty.

Returns
  true means success, while false means failure.

## ◆ GetAction()

Action foxit.pdf.annots.Link.GetAction | ( |  | ) |
| inline

Get action.

Returns
  An action object that receives the action data. If the return value of function actions.Action.IsEmpty for the returned action object is true, that means no action.

## ◆ GetHighlightingMode()

Annot.HighlightingMode foxit.pdf.annots.Link.GetHighlightingMode | ( |  | ) |
| inline

Get highlighting mode.

Returns
  Highlighting mode value. Please refer to values starting from foxit.pdf.annots.Annot.HighlightingMode.e_HighlightingNone and this would be one of these values except foxit.pdf.annots.Annot.HighlightingMode.e_HighlightingToggle . -1 means no highlighting mode value is found.

## ◆ GetQuadPoints()

QuadPointsArray foxit.pdf.annots.Link.GetQuadPoints | ( |  | ) |
| inline

Get quadrilaterals.

The order of points in a quadrilateral should be:

- The first point is the point in left-top corner of the quadrilateral.

- The second point is the point in right-top corner of the quadrilateral.

- The third point is the point in left-bottom corner of the quadrilateral.

- The fourth point is the point in right-bottom corner of the quadrilateral.

Returns
  A quadrilateral points array that receives the quadrilaterals value.

## ◆ RemoveAction()

bool foxit.pdf.annots.Link.RemoveAction | ( |  | ) |
| inline

Remove action.

Returns
  true means success, while false means failure.

## ◆ SetAction()

void foxit.pdf.annots.Link.SetAction | ( | Action | action | ) |
| inline

Set action.

Parameters

  [in] | action | New action to be set. It should be valid. Currently only support following types as the new action: foxit.pdf.actions.Action.Type.e_TypeGoto , foxit.pdf.actions.Action.Type.e_TypeURI , foxit.pdf.actions.Action.Type.e_TypeJavaScript , foxit.pdf.actions.Action.Type.e_TypeNamed , foxit.pdf.actions.Action.Type.e_TypeGoToR , foxit.pdf.actions.Action.Type.e_TypeGoToE , foxit.pdf.actions.Action.Type.e_TypeSubmitForm , foxit.pdf.actions.Action.Type.e_TypeResetForm , foxit.pdf.actions.Action.Type.e_TypeHide , foxit.pdf.actions.Action.Type.e_TypeLaunch , foxit.pdf.actions.Action.Type.e_TypeImportData , foxit.pdf.actions.Action.Type.e_TypeRendition .

Returns
  None.

## ◆ SetHighlightingMode()

void foxit.pdf.annots.Link.SetHighlightingMode | ( | Annot.HighlightingMode | mode | ) |
| inline

Set highlighting mode.

Parameters

  [in] | mode | New highlighting mode value. Please refer to values starting from foxit.pdf.annots.Annot.HighlightingMode.e_HighlightingNone and this should be one of these values except foxit.pdf.annots.Annot.HighlightingMode.e_HighlightingToggle .

Returns
  None.

## ◆ SetQuadPoints()

void foxit.pdf.annots.Link.SetQuadPoints | ( | QuadPointsArray | quad_points_array | ) |
| inline

Set quadrilaterals.

This property has effect on the link annotation's appearance.The order of points in a quadrilateral should be :

- The first point is the point in left-top corner of the quadrilateral.

- The second point is the point in right-top corner of the quadrilateral.

- The third point is the point in left-bottom corner of the quadrilateral.

- The fourth point is the point in right-bottom corner of the quadrilateral.

If user wants the new quadrilaterals has effect on annotation's appearance, please call function Annot.ResetAppearanceStream after setting quadrilaterals.

Parameters

  [in] | quad_points_array | A valid array of quadrilaterals. It should not be an empty array.

Returns
  None.